Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	2.4
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
URL:		http://www.mageia.org
License:	GPL
Group:		System/Configuration
Requires:	drakxtools >= 16, libuser >= 0.51.7-5mdk
Requires:	polkit
Requires:	transfugdrake
BuildRequires:  gettext perl-devel libuser-devel libglib2.0-devel pam-devel intltool perl_checker

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups. It depends on the libuser library. 

%prep
%setup -q
		
%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor 
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS -w" 

%install
make PREFIX=$RPM_BUILD_ROOT install 

%makeinstall_std -C USER

#install lang
%{find_lang} userdrake

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/drakuser
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-MandrivaLinux-CrossDesktop;
NoDisplay=true
EOF

%files -f userdrake.lang
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%{_prefix}/bin/*
%{_prefix}/libexec/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/userdrake
%{_mandir}/man3/USER*
%{_datadir}/applications/%{name}.desktop
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Sat Jan 25 2014 colin <colin> 2.4-1.mga4
+ Revision: 568167
- Avoid double fork problems mga#11184 mga#12364

* Mon Dec 16 2013 tv <tv> 2.3-1.mga4
+ Revision: 557344
- fix crashing when displaying about dialog

* Fri Dec 06 2013 tv <tv> 2.2-1.mga4
+ Revision: 555711
- fix searching returning no results

* Wed Dec 04 2013 tv <tv> 2.1-1.mga4
+ Revision: 555141
- fix "forgiving" primary group when (un)selecting secondary groups (mga#11864)
- ignore events who lack ->x & ->y
  (thus fixing a crash if clicking too often)

* Mon Nov 25 2013 tv <tv> 2.0-1.mga4
+ Revision: 553061
- port to Gtk+3

* Sat Nov 23 2013 tmb <tmb> 1.16-2.mga4
+ Revision: 552593
- drop suggests on xguest as we dont want it installed by default

* Sun Nov 17 2013 colin <colin> 1.16-1.mga4
+ Revision: 551671
- New version: 1.16

* Tue Oct 22 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 541466
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 colin <colin> 1.15-1.mga4
+ Revision: 495967
- Add BR on perl_checker
- Rely on polkit not consolehelper + BR intltool
- New version: 1.15

* Wed May 29 2013 tv <tv> 1.14-2.mga4
+ Revision: 430244
- rebuild for new perl

* Tue Apr 23 2013 tv <tv> 1.14-1.mga3
+ Revision: 411044
- lzma -> xz
- fix compiling with latest libuser

  + fwang <fwang>
    - update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.13.6-2.mga3
+ Revision: 251365
- rebuild for perl 5.16

* Wed Dec 28 2011 dams <dams> 1.13.6-1.mga2
+ Revision: 188380
- Fix 'xguest' install/remove (bug #2247)

* Sun Jun 12 2011 ahmad <ahmad> 1.13.5-2.mga2
+ Revision: 104369
- Rebuild for perl-5.14.0

* Sun May 22 2011 ennael <ennael> 1.13.5-1.mga1
+ Revision: 100177
- update translation (#1307)

* Sat May 14 2011 ennael <ennael> 1.13.4-1.mga1
+ Revision: 98810
- update translations

* Mon Feb 07 2011 dmorgan <dmorgan> 1.13.3-1.mga1
+ Revision: 48503
- Adapt for mageia
- imported package userdrake


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.13.2-3mdv2011.0
+ Revision: 564291
- rebuild for new perl 5.12.1

* Thu Jul 22 2010 Pascal Terjan <pterjan@mandriva.org> 1.13.2-2mdv2011.0
+ Revision: 556905
- Use toplevel Makefile, to get the defines
- define PACKAGE_NAME, it is used by libuser definition of _
- update translations

* Tue Feb 02 2010 Thierry Vignaud <tv@mandriva.org> 1.13-1mdv2010.1
+ Revision: 499543
- do not crash when trying to rename a user to an already existing name
- make libuser binding i18n aware
- refactorization for readability (please test)
- use libuser translations

* Wed Oct 21 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.12-1mdv2010.0
+ Revision: 458573
- 1.12:
- refresh user list when adding/removing xguest

* Sat Oct 17 2009 Thierry Vignaud <tv@mandriva.org> 1.11-1mdv2010.0
+ Revision: 458036
- enable to install/uninstall xguest account from 'actions' menu (#54498)

* Wed Oct 14 2009 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2010.0
+ Revision: 457243
- Suggests xguest

* Tue Sep 08 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 1.10-1mdv2010.0
+ Revision: 433756
- added password weakness check
- userdrake specfile update
- specfile updated

  + Thierry Vignaud <tv@mandriva.org>
    - bump require on drakxtools for new API

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 367506
- translation updates

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 1.9-1mdv2009.1
+ Revision: 362306
- do not crash if some face images are missing (#45024)
- translation updates

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.8-3mdv2009.1
+ Revision: 351445
- rebuild

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 1.8-2mdv2009.0
+ Revision: 287080
- translation updates

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.7-2mdv2009.0
+ Revision: 225911
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2008.1
+ Revision: 192103
- translation updates

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 1.6-1mdv2008.1
+ Revision: 190124
- translation updates

* Mon Mar 10 2008 Thierry Vignaud <tv@mandriva.org> 1.5-1mdv2008.1
+ Revision: 183759
- renamed Uzbek translations to follow the libc standard (#35090)
- updated translation

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2008.1
+ Revision: 152167
- rebuild for new perl
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 1.4-1mdv2008.0
+ Revision: 95024
- updated translation

* Fri Sep 28 2007 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2008.0
+ Revision: 93602
- updated translation
- Requires transfugdrake in order to be able to check for windows partitions

* Mon Sep 24 2007 Thierry Vignaud <tv@mandriva.org> 1.2.11-3mdv2008.0
+ Revision: 92528
- enable to run migration assistant when adding a user

* Tue Sep 18 2007 Thierry Vignaud <tv@mandriva.org> 1.2.10-3mdv2008.0
+ Revision: 89787
- hide menu entry

* Thu Sep 13 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.10-2mdv2008.0
+ Revision: 84834
- use new common pam config files for usermode/consolehelper

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 1.2.10-1mdv2008.0
+ Revision: 78601
- translation snapshot
- fix menu entry category (#33075)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdv2008.0
+ Revision: 77136
- userdrake/drakuser: ask console user for root password
- also modify menu entry to point to /usr/bin instead of /usr/sbin


* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 142367
- translation snapshot

* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.8-1mdv2007.1
+ Revision: 141968
- translation snapshot

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 125810
- center error messages on main window
- fix crash when /etc/passwd contains mixed UTF-8 & ISO-Latin1 encoded
  characters (#28888)
- more transientness improvements

* Fri Nov 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.6-1mdv2007.1
+ Revision: 80837
- Import userdrake

* Mon Oct 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.6-1mdv2007.1
- fix retrieval of expiration date (brown paper bug #21662)
- HIG somewhat first tab of add & edit dialogs

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.5-1mdv2007.0
- fix menu section
- fix build
- updated translations
- XDG menu

* Fri Jun 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.4-1mdv2007.0
- fix linking with libuser (littletux@zarb.org, #22924)

* Fri Jun 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-1mdv2007.0
- fix "report a bug" entry in menu
- use standard about widget

* Fri Mar 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdk
- cleanups
- assume GECOS data is utf-8 encoded (#4296)
- sub dialogs:
  o make them all really be dialogs
  o center them on their parent window
  o make them transcient to the main window
  o add a 5px border around the window (better looking)
- s/Mandrake/Mandriva/ (pablo)

* Sun Jan 01 2006 Daouda Lo <daouda@mandrakesoft.com> 1.2.1-3mdk
- Rebuild

* Tue Mar 08 2005 Daouda LO <daouda@mandrakesoft.com> 1.2.1-2mdk
- wrap an eval around sensitive home deletion
- home deletion option grayed when deletion might be dangerous (#11453)
- do not use absolute path to Mdk icons (oblin)
- leak patch for extra safefree((char*)self) in XS file (Francois Desarmenien)
- i18n updates

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- translation updates

* Wed Jan 26 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-3mdk
- fix 'About' dialog crash 
- cleanups

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-2mdk
- main loop fixed 
- rebuild against new perl (XS)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-1mdk
- fix crash when embedded
- show banner when embedded

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1-4mdk
- rebuild for new perl

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-3mdk
- rebuild

* Tue Oct 05 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-2mdk
- updated translations

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- Daouda: restore mouse cursor in sub dialogs
- Olivier Blin:
  o do not crash in Delete when user is in non-existing group (#10242)
  o stop the add process if an error happened when adding a user
  o do not die when removing a non existent directory, just warn (#10241)
  o fix dialogs (#10246):
    * do not quit the whole program on success,
    * wait for the answer to really return the choice made by the user
  o really handle the group choice made by the user
- Thierry Vignaud:
  o get rid of stock icons
  o fix button layouts in dialogs
  o set window icon

* Thu May 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- right mouse click on Treeview items to access menu (Edit, Delete)
- don't allow more than 16 char to be consistent with groupadd (tvignaud)

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- use md5sum to find current face icon (Oliver Blin) - #9653

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- bumped to 1.0 (stable enough)
- random icon display and icon browsing fixes #8085 - #9653 (Olivier
  Blin)

